import {expect} from 'chai'
import { fromJS } from 'immutable'
import {getModalTrigger} from '../modalHelpers'

describe('modalHelpers', () => {
  describe('getModalTrigger', () => {
    it('gets the modalTrigger from modal options', () => {
      const fakeState = fromJS({
        modal: {
          options: {
            modalTrigger: 'foo'
          }
        }
      })
      expect(getModalTrigger(fakeState)).to.equal('foo')
    })
  })
})
